import React from "react";
import {Button} from "@/components/ui/button";
import {KeyRound, Rss, UserRoundPlus} from "lucide-react";

export default function AccountPage() {
	return (
		<main className="flex flex-col justify-evenly items-center antialiased h-full w-full">
			<section className={"flex flex-col justify-evenly items-center md:h-1/3 mt-4 p-2 w-full h-full gap-1"}>
				<h1 className={"text-4xl md:text-6xl font-bold"}>Only<em className={"text-primary opacity-65"}>Devs</em></h1>
				<h2 className={"text-xl md:text-3xl text-center mt-1"}>A social network for you the <em className={"text-primary opacity-65"}>nerdy</em> developer !</h2>
				<div className={"flex flex-col md:flex-row justify-evenly max-w-64 w-full md:max-w-full mt-2 gap-1"}>
					<Button className={"mt-3 md:scale-125 gap-2 bg-purple-600"}><KeyRound />Login</Button>
					<Button className={"mt-3 md:scale-125 gap-2 bg-purple-800"}><UserRoundPlus />Register</Button>
					<Button className={"mt-3 md:scale-125 gap-2"}><Rss />Go see the posts</Button>
				</div>
			</section>
		</main>
	);
}