import type { Metadata } from "next";
import '@fontsource-variable/kode-mono';
import "./globals.css";
import {ThemeProvider} from "@/components/theme-provider";
import Header from "@/components/header";
import {BackgroundBeams} from "@/components/ui/background-beams";
import React from "react";
import Legals from "@/components/legals";
import {Toaster} from "react-hot-toast";


export const metadata: Metadata = {
  title: "OnlyDevs",
  description: "A social network for nerdy developers",
  authors: {
    name: "Yidhra Studio",
    url: "https://yidhra.fr"
  }
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body className={"flex flex-col justify-between items-center relative w-screen min-h-screen"}>
        <ThemeProvider
          attribute="class"
          defaultTheme="system"
          enableSystem
          //disableTransitionOnChange
        >
          <Header/>
          {children}
          <Toaster/>
          <Legals/>
        </ThemeProvider>
        <BackgroundBeams className={"-z-10 w-full h-full fixed"}/>
      </body>
    </html>
)
  ;
}
